Overview
The Waffo Pancake GraphQL API provides read-only access to all your data. Use REST action endpoints for writes, and GraphQL for queries.The GraphQL API supports queries only. All write operations (create, update, delete) use the REST action endpoints.
Making a Request
Request Body
Status Codes
Schema Introspection
Discover All Available Queries
Discover Type Fields
Filtering
GraphQL queries support filters using typed filter objects:Arguments are checked before the query runs. An ID filter (
id, storeId, orderId, …) accepts the entity’s Short ID (e.g. STO_xxx) or a UUID and supports eq, ne, in, notIn and isNull only. DateTimeFilter values must be ISO 8601 dates or date-times. Invalid values return an error with extensions.code set to BAD_USER_INPUT.AmountFilter values are decimal strings in the currency’s major unit (e.g. "9.99"). An amount filter must be accompanied by a sibling currency: { eq: "..." } in the same filter object — a single currency per query. Cross-currency amount comparison is not supported.Pagination
Uselimit and offset for pagination. Use *Count queries to get total counts.
Environment-Specific Fields
The API Key environment affects which product data is returned:version— Returns the version for the specified environmentstatus— Returns the status in the specified environment
active in test but inactive in production if it hasn’t been published yet.
Query Examples
Stores & Products
Query stores, one-time products, subscription products, and product versions
Orders & Payments
Query orders, subscription orders, payments, and refund tickets
Analytics
Revenue statistics, payment analytics, trend analysis, and customer insights